webkit-0.12.6.1: Binding to the Webkit library.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.WebKit.HitTestResult

Contents

- Description
- Types
- Enums.

Description

Access to the WebKit Web Resource

Synopsis

- data HitTestResult
- class GObjectClass o => HitTestResultClass o
- data HitTestResultContext
  - = HitTestResultContextDocument
  - | HitTestResultContextLink
  - | HitTestResultContextImage
  - | HitTestResultContextMedia
  - | HitTestResultContextSelection
  - | HitTestResultContextEditable

# Description

This class holds context information about the coordinates specified by a GDK event.

# Types

data HitTestResult

Instances

Eq HitTestResult |
Ord HitTestResult |
GObjectClass HitTestResult |
HitTestResultClass HitTestResult |

class GObjectClass o => HitTestResultClass o

Instances

HitTestResultClass HitTestResult |

# Enums.

data HitTestResultContext

Constructors

HitTestResultContextDocument |
HitTestResultContextLink |
HitTestResultContextImage |
HitTestResultContextMedia |
HitTestResultContextSelection |
HitTestResultContextEditable |

Instances

Enum HitTestResultContext |